Update Gitlab CE 9.5.9 on Ubuntu 16.04 to v.11


#1

Hey there,

I’m running Gitlab CE 9.5.9 on Ubuntu 16.04 and trying to update GitLab to the latest version.

First step. I’m trying to upgrade 9.5.9 to 10.8.7 which fails because it requires libc6 2.25.
The latest available package of libc6 on Ubuntu 16.04 is 2.23.
Ubuntu 18.04 has 2.27 which should be enough, but do-release-upgrade fails to start since apt-get upgrade fails to update gitlab-ce package.

Is there any way I can uninstall gitlab-ce, but keep the data? So that I can install it back when system is updated.

Thanks!